package com.alterdekim.game.controller.result.async;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
public class Flags {
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    @JsonSerialize(using= NumericBooleanSerializer.class)
    private Boolean IsUserDetailsMissing;

    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer EntranceCount;
}
